clang 10.0.0git

Static Public Member Functions | List of all members
clang::cast_convert_decl_context< ToTy, IsKnownSubtype > Struct Template Reference

`#include "clang/AST/DeclBase.h"`

## Static Public Member Functions
static const ToTy * | doit (const DeclContext *Val)
static ToTy * | doit (DeclContext *Val)

## Detailed Description

### template<class ToTy, bool IsKnownSubtype = ::std::is_base_of<DeclContext, ToTy>::value>
struct clang::cast_convert_decl_context< ToTy, IsKnownSubtype >

Definition at line 2466 of file DeclBase.h.

## Member Function Documentation

## ◆ doit() [1/2]

template<class ToTy , bool IsKnownSubtype = ::std::is_base_of<DeclContext, ToTy>::value>

static const ToTy* clang::cast_convert_decl_context< ToTy, IsKnownSubtype >::doit | ( | const DeclContext * | Val | ) |
| inline static

Definition at line 2467 of file DeclBase.h.

References clang::Decl::castFromDeclContext().

Referenced by llvm::cast_convert_val< ToTy, const ::clang::DeclContext, const ::clang::DeclContext >::doit(), and llvm::cast_convert_val< ToTy, ::clang::DeclContext, ::clang::DeclContext >::doit().

## ◆ doit() [2/2]

template<class ToTy , bool IsKnownSubtype = ::std::is_base_of<DeclContext, ToTy>::value>

static ToTy* clang::cast_convert_decl_context< ToTy, IsKnownSubtype >::doit | ( | DeclContext * | Val | ) |
| inline static

Definition at line 2471 of file DeclBase.h.

References clang::Decl::castFromDeclContext().

The documentation for this struct was generated from the following file:

- include/clang/AST/DeclBase.h